// Element's MERP Commands
// ---

function MERP_LoadEmpire(%client)
{
	if(!isFile("config/server/MERP/" @ %client.BL_ID @ ".empire"))
	{
		%client.empireName = "";
		%client.empireColor = "";

		return;
	}

	%file = new FileObject();
	%file.openForRead("config/server/MERP/" @ %client.BL_ID @ ".empire");
	%line = %file.readLine();
	%client.empireName = %line;
	%line = %file.readLine();
	%client.empireColor = %line;
	%line = %file.readLine();
	%client.empireFont = %line;
	%file.close();
	%file.delete();

	return;
}

function MERP_SaveEmpire(%client)
{
	if(%client.empireColor $= "" || %client.empireName $= "")
		return;

	%file = new FileObject();
	%file.openForWrite("config/server/MERP/" @ %client.BL_ID @ ".empire");

	%file.writeLine(%client.empireName);
	%file.writeLine(%client.empireColor);
	%file.writeLine(%client.empireFont);
	%file.close();
	%file.delete();
}

function MERP_WriteToLog(%client, %message)
{
	if($Prefs::MERP::logEmpireChat == false)
		return;

	%file = new FileObject();

	if(!isFile("config/server/MERP/empirechat.log"))
	{
		%file.openForWrite("config/server/MERP/empirechat.log");
		%file.writeLine("Log auto-created on" SPC getDateTime());
		%file.writeLine("[" @ getDateTime() @ "]" SPC "[" @ %client.BL_ID @ "]" SPC %client.name @ ":" SPC stripMLControlChars(%message));
		%file.close();
	}

	%file.openForAppend("config/server/MERP/empirechat.log");
	%file.writeLine("[" @ getDateTime() @ "]" SPC "[" @ %client.BL_ID @ "]" SPC %client.name @ ":" SPC stripMLControlChars(%message));
	%file.close();
	%file.delete();
}